# https://networkupstools.org/docs/man/upsd.conf.html

LISTEN {{ nut.server.interface }} {{ nut.server.port }}
{% set current_role = topology.roles.get(current_group_role) %}
{% for interface_name in current_role.interfaces %}
{% set interface = current_role.interfaces.get(interface_name) %}
{% if interface.name == 'LAN' or interface.name == 'DMZ' %}
LISTEN {{ interface.ip }} {{ nut.server.port }}
{% endif %}
{% endfor %}
